Subject: Re: Retrieve function definition in bash
From: [email-masked] (David Shochat)

14 Feb 1997 11:48:40 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Sender: David Shochat <[email-masked]>
X-Mailer: Mozilla 4.0b1 (Win95; I)
Original-CC: [email-masked]
X-Priority: Normal
Original-Sender: [email-masked]

David Syer wrote:
> 
> David Shochat wrote:
> >
> > How can I get bash to show me the definition of a function I've already
> > defined?
> 
> % type fname
> 
I have a function mman defined like this in my .bashrc:

 function mman() { troff -man -Tascii $1 | grotty | less; }

I know the definition is there, because it works.
But if I do:

 type mman

I get back

mman is a function
mman

Note: I'm using the Cygnus gnu-win32 port of bash on Win 95. Do my results mean it 
is brain-damaged?
Thanks -- David
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".